export const initTcb: typeof import("@cloudbase/weda-client/node_modules/@cloudbase/weda-cloud-sdk").initTcb;
export const setConfig: typeof import("@cloudbase/weda-client/node_modules/@cloudbase/weda-cloud-sdk").setConfig;
export const createDataset: typeof import("@cloudbase/weda-client/node_modules/@cloudbase/weda-cloud-sdk").createDataset;
export const createStateDataSourceVar: typeof import("@cloudbase/weda-client/node_modules/@cloudbase/weda-cloud-sdk").createStateDataSourceVar;
export const generateParamsParser: typeof import("@cloudbase/weda-client/node_modules/@cloudbase/weda-cloud-sdk").generateParamsParser;
export const EXTRA_API: {
    setState: typeof import("@cloudbase/weda-client/node_modules/@cloudbase/weda-cloud-sdk/dist/extra-api").setState;
    setParams: typeof import("@cloudbase/weda-client/node_modules/@cloudbase/weda-cloud-sdk/dist/extra-api").setParams;
};
export const CLOUD_SDK: {
    readonly dataSources: Record<string, import("@cloudbase/weda-client/node_modules/@cloudbase/weda-cloud-sdk").IDataSourceObj>;
    readonly callDataSource: typeof import("@cloudbase/weda-client/node_modules/@cloudbase/weda-cloud-sdk").callDataSource;
    readonly callConnector: typeof import("@cloudbase/weda-client/node_modules/@cloudbase/weda-cloud-sdk").callDataSource;
    readonly callModel: typeof import("@cloudbase/weda-client/node_modules/@cloudbase/weda-cloud-sdk").callDataSource;
} & {
    IS_WEDA_IDE: boolean;
    version: string;
    utils: {
        wrapperDatasourceMethod(options: import("@cloudbase/weda-client/node_modules/@cloudbase/weda-cloud-sdk/dist/cloud-api/utils-api").IWrapperDatasourceOptions): (params: any) => Promise<import("@cloudbase/weda-client/node_modules/@cloudbase/weda-cloud-sdk").IDataSourceResponse>;
    };
    getCloudInstance: typeof import("@cloudbase/weda-client/node_modules/@cloudbase/weda-cloud-sdk/dist/cloud-api/basic-api").getCloudInstance;
    callGraphql: typeof import("@cloudbase/weda-client/node_modules/@cloudbase/weda-cloud-sdk/dist/cloud-api/basic-api").callGraphql;
    callFunction: typeof import("@cloudbase/weda-client/node_modules/@cloudbase/weda-cloud-sdk/dist/cloud-api").callFunction;
    callWorkflow: typeof import("@cloudbase/weda-client/node_modules/@cloudbase/weda-cloud-sdk/dist/cloud-api/business-api").callWorkflow;
    callWedaApi: typeof import("@cloudbase/weda-client/node_modules/@cloudbase/weda-cloud-sdk/dist/cloud-api/business-api").callWedaApi;
    callCommonService: typeof import("@cloudbase/weda-client/node_modules/@cloudbase/weda-cloud-sdk/dist/cloud-api").callCommonService;
    getTempFileURL: typeof import("@cloudbase/weda-client/node_modules/@cloudbase/weda-cloud-sdk/dist/cloud-api/temp-url-api").getTempFileURL;
    getDataSourceViewId: typeof import("@cloudbase/weda-client/node_modules/@cloudbase/weda-cloud-sdk").getDataSourceViewId;
    getDataSourceProfile: typeof import("@cloudbase/weda-client/node_modules/@cloudbase/weda-cloud-sdk").getDataSourceProfile;
    setConfig: typeof import("@cloudbase/weda-client/node_modules/@cloudbase/weda-cloud-sdk/dist/cloud-api/config").setCloudConfig;
    checkAuth: typeof import("@cloudbase/weda-client/node_modules/@cloudbase/weda-cloud-sdk/dist/cloud-api/business-api").checkAuth;
    setDataSourceDefaultParams: typeof import("@cloudbase/weda-client/node_modules/@cloudbase/weda-cloud-sdk").setDefaultParams;
} & {
    signIn: (params?: import("@cloudbase/weda-client/node_modules/@cloudbase/weda-cloud-sdk/dist/h5/user").ISignInParams) => Promise<import("@cloudbase/weda-client/node_modules/@cloudbase/weda-cloud-sdk/dist/types").IUserInfo>;
    getUserInfo: () => Promise<import("@cloudbase/weda-client/node_modules/@cloudbase/weda-cloud-sdk/dist/types").IUserInfo>;
    signOut: () => Promise<void>;
    anonymousLogin: () => Promise<void>;
    readonly currentUser: import("@cloudbase/weda-client/node_modules/@cloudbase/weda-cloud-sdk/dist/types").IUserInfo;
};
export const DS_API: Record<string, import("@cloudbase/weda-client/node_modules/@cloudbase/weda-cloud-sdk").IDataSourceObj>;
export const DS_SDK: {
    $call: any;
} & Record<string, import("@cloudbase/weda-client/node_modules/@cloudbase/weda-cloud-sdk").IDataSourceObj>;
